2017-07-20 23:14 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002118FSSCPPlatform-Engine interactionpublic2017-02-13 18:26
Reporterchief1983 
Assigned Tom_m 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002118: Move all configuration and logging data on all platforms to %APPDATA%
DescriptionIt has been bad practice for ages to write config data into the game/engine's installation path, but we still do. Logs, config files, etc need to be unified across all platforms as much as possible, and stored in %APPDATA% or equivalent. This includes moving Windows from using the registry to the INI file or *nix equivalent.

On windows this will also require modifications to the launcher, whatever is considered standard at the time (SCP-maintained or kkmic's).
TagsNo tags attached.
Attached Files

-Relationships
parent of 0002191resolvedm_m FRED (tries to) save its config data to C:\Windows 
+Relationships

-Notes

~0011662

Echelon9 (developer)

Worth also addressing in the same manner the location of configuration and logging data on OS X.

We currently use ~/Library/FS2_Open/ when it is compliant to use ~/Library/Application Support/FS2_Open/ instead.

~0011665

chief1983 (administrator)

Good to know.

~0011991

Echelon9 (developer)

Details from the Mac platform developer docs http://developer.apple.com/mac/library/documentation/MacOSX/Conceptual/BPFileSystem/Articles/WhereToPutFiles.html

~0013472

karajorma (administrator)

Bear in mind that Wing Commander Saga have already done some of this (Although they use C:\Users\User_Name\Documents\Volition\Wing Commander Saga). Might be worth just stealing their code.

~0013473

chief1983 (administrator)

Honestly, it's not much more than changing it to use the unix code instead of the Windows code on Windows I think. It will probably take a bit more to do it 'right', but that should cover most of it. We're going to need to do prepwork to actually do it though, so we're not ready to just flip that switch just yet.

~0015529

m_m (developer)

Just dropping a quick note here that I implemented the necessary changes: http://www.hard-light.net/forums/index.php?topic=86194.msg1722096#msg1722096 (patch also uploaded here).
The patch adds a new build cap flag to indicate that this build uses INI files instead of the windows registry so a launcher application will be able to choose where to save configuration data. It also adds a commandline option to enable the old behavior so users can continue to use old launchers.

~0016860

m_m (developer)

I forgot that this issue existed. This feature is part of the SDL2 changes and has been merged.
+Notes

-Issue History
Date Modified Username Field Change
2010-02-10 12:00 chief1983 New Issue
2010-02-10 12:02 chief1983 Description Updated
2010-02-13 06:36 Echelon9 Note Added: 0011662
2010-02-13 15:00 chief1983 Note Added: 0011665
2010-05-23 02:59 Echelon9 Note Added: 0011991
2012-04-03 09:52 Echelon9 Severity block => feature
2012-04-19 03:37 karajorma Note Added: 0013472
2012-04-19 10:54 chief1983 Note Added: 0013473
2012-12-18 16:03 The_E Relationship added parent of 0002191
2012-12-18 16:06 The_E Target Version => 3.7.2
2013-12-22 09:28 m_m Note Added: 0015529
2013-12-22 09:29 m_m File Added: registry.zip
2013-12-22 09:29 m_m Assigned To => m_m
2013-12-22 09:29 m_m Status new => feedback
2014-06-15 06:40 m_m Target Version 3.7.2 => 3.7.3
2017-02-13 18:23 m_m Note Added: 0016860
2017-02-13 18:26 m_m Status feedback => resolved
2017-02-13 18:26 m_m Resolution open => fixed
+Issue History